XScreenSaver(1)

NAME
starwars - draws a perspective text crawl, like at the beginning of the movie

SYNOPSIS
starwars [-display host:display.screen] [-window] [-root] [-visual visual] [-delay microseconds] [-fps] [-program command] [-size integer ] [-columns integer] [-wrap | -no-wrap] [-left | -center | -right] [-lines integer] [-spin float] [-steps integer] [-delay usecs] [-no-smooth] [-no-thick]

DESCRIPTION
The starwars program runs another program to generate a stream of text, then animates that text receeding into the background at an angle, in front of a star field.

OPTIONS
starwars accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-program sh-command
    The command to run to generate the text to display. This option may be any string acceptable to /bin/sh. The program will be run at the end of a pipe, and any characters that it prints to stdout will be printed on the starwars window. If the program exits, it will be launched again after we have processed all the text it produced. Note that starwars is not a terminal emulator: programs that try to directly address the screen will not do what you might expect. This program merely draws the characters on the screen left to right, top to bottom, in perspective. Lines (may) wrap when they reach the right edge. In other words, programs like fortune(1) will work, but programs like top(1) won't. Some examples:
        starwars -columns 76 -program 'cat /usr/src/linux*/README'
        starwars -program 'ping www.starwars.com'
        starwars -no-wrap -left -program 'finger @gnu.org'
        starwars -no-wrap -left -program 'ps -ef'
        starwars -no-wrap -left -program 'od -txC /dev/random'

-size integer
    How large a font to use, in points. (Well, in some arbitrary unit we're calling "points" for the sake of argument.) The -columns option overrides this.

-columns integer
    How many columns of text should be visible on the bottom line of the screen. The default is 80. This option overrides the -size option: if you specify a number of columns, the font will be scaled as needed to fit.

-wrap
    Word-wrap lines when they reach the rightmost column. This is the default.

-no-wrap
    Do not word-wrap: just let the lines go off the right side of the screen.

-left | -center | -right
    Whether to align the text flush left, centered, or flush right. The default is centered.

-lines integer
    How many lines should be allowed to be on the screen before they fall off the end. The default is 125.

-spin float
    The star field on the background slowly rotates. This is how fast. The default is 0.03.

-steps integer
    How many steps should be used to scroll a single line. The default is 35. If the animation looks jerky to you, increase this number.

-delay usecs
    The delay between steps of the animation; default is 40000 (1/25th second.)

-fps
    Display a running tally of how many frames per second are being rendered. In conjunction with -delay 0, this can be a useful benchmark of your GL performance.

-no-smooth
    Turn off anti-aliasing of the lines used to draw the font. This will make the text blockier, but may improve performance.

-no-thick
    Turn off use of thick lines for the characters that are close to the foreground. This will make the text appear unnaturally skinny, but may improve performance.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
xscreensaver(1), fortune(1), phosphor(1), apple2(1), fontglide(1), ljlatest(1), dadadodo(1), webcollage(1), driftnet(1) EtherPEG, EtherPeek

COPYRIGHT
Copyright © 1998-2004 by Jamie Zawinski and Claudio Matsuoka. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org> and Claudio Matauoka <claudio@helllabs.org>